Bug 994968 - ocaml-cil doesn't compile on arm
ocaml-cil doesn't compile on arm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ocaml-cil (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-ExcludeArch-ARM
  Show dependency treegraph
 
Reported: 2013-08-08 06:18 EDT by Richard W.M. Jones
Modified: 2015-06-29 09:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: ocaml-cil-1.7.3-21.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:15:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (163.07 KB, text/plain)
2013-09-03 08:07 EDT, Richard W.M. Jones
no flags Details
build.log including test/cil.log on arm (830.75 KB, text/plain)
2013-09-03 12:08 EDT, Gabriel Kerneis
no flags Details

  None (edit)
Description Richard W.M. Jones 2013-08-08 06:18:10 EDT
Description of problem:

From looking at the error, it appears the problem is that
the old ./configure script doesn't recognize the arm triple
that we're using.  Possibly rerunning autoconf might fix this.

checking whether time.h and sys/time.h may both be included... yes
checking for working memcmp... yes
checking for mkdir... yes
checking for select... yes
checking for socket... yes
checking for __sysv_signal... yes
checking for real definition of size_t... unsigned int
checking for real definition of wchar_t... unsigned int
configure: error: 
      Unsupported platform armv7l-unknown-linux-gnu -- sorry.
      ./configure supports these platforms:
         on x86:     Linux, Win32(with Cygwin), FreeBSD, OpenBSD, and Mac OS X
         on amd64:   FreeBSD
         on PowerPC: Mac OS X
         on SPARC:   Solaris
         on MIPS:    Linux
         on MIPSel:  Linux
    
error: Bad exit status from /var/tmp/rpm-tmp.gPuI5U (%build)
    Bad exit status from /var/tmp/rpm-tmp.gPuI5U (%build)

Version-Release number of selected component (if applicable):

ocaml-cil 1.4.0
Comment 1 Richard W.M. Jones 2013-09-03 08:07:41 EDT
Created attachment 793153 [details]
build.log

New version 1.7.3 also FTBFS.  See attached log.
Comment 2 Gabriel Kerneis 2013-09-03 10:06:38 EDT
It's "only" the test suite failing, which probably means some bugs in CIL (or the tests themselves) but not a fundamentally broken package. I'll have a look at those test cases, thanks for the report.

If it's easy for you, it would be helpful to get a copy of test/cil.log (something like "make test || cat test/cil.log" would do the trick).
Comment 3 Gabriel Kerneis 2013-09-03 12:08:38 EDT
Created attachment 793256 [details]
build.log including test/cil.log on arm

Attached a build.log including the output of test/cil.log.
Comment 4 Gabriel Kerneis 2013-09-03 15:24:06 EDT
Upstream patch fixing the test suite for arm:
https://github.com/kerneis/cil/commit/9d7c79cc1bceff6ec371cc161c5f311178ac030a

Tested on koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5888616

Rich, you proposed that I apply as a maintainer to push updates myself in the future. I think this is a good opportunity to try. How shall I proceed?
Comment 5 Richard W.M. Jones 2013-09-05 08:21:06 EDT
(In reply to Gabriel Kerneis from comment #4)
> Upstream patch fixing the test suite for arm:
> https://github.com/kerneis/cil/commit/
> 9d7c79cc1bceff6ec371cc161c5f311178ac030a
> 
> Tested on koji:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5888616
> 
> Rich, you proposed that I apply as a maintainer to push updates myself in
> the future. I think this is a good opportunity to try. How shall I proceed?

You should be in a position now where you can push your fix
directly into ocaml-cil in Fedora.

fedpkg clone -B ocaml-cil
cd ocaml-cil/master
<make changes>
fedpkg push
fepdkg build
cd ../f20
git pull ../master
fedpkg push
fedpkg build
fedpkg update  # mention this bug in the update
Comment 6 Fedora End Of Life 2013-09-16 12:28:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 Fedora End Of Life 2015-05-29 05:18:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:15:17 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Peter Robinson 2015-06-29 09:05:33 EDT
Built now for ocaml-cil-1.7.3-21.fc23

Note You need to log in before you can comment on or make changes to this bug.